> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flashcard Item

> Get a flashcard item based on the card ID. Flashcard sets store multiple flashcard items, which are the individual flashcards.



## OpenAPI

````yaml post /get-flashcard-item
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /get-flashcard-item:
    post:
      tags:
        - Card management
      summary: Get Flashcard Item
      description: >-
        Get a flashcard item based on the card ID. Flashcard sets store multiple
        flashcard items, which are the individual flashcards.
      operationId: post-get-flashcard-item
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  cardID: >-
                    34491212345799755658107639929006996702748532692311513250209090523742322511111
              required:
                - cardID
              properties:
                cardID:
                  type: string
                  example: >-
                    34491212345799755658107639929006996702748532692311513250209090523742322511111
                  description: >-
                    The unique numerical identifier of the specific card being
                    retrieved from the flashcard set.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    back: Evening
                    front: Monday
                properties:
                  back:
                    type: string
                    description: The back side content of the flashcard.
                    example: Evening
                  front:
                    type: string
                    description: 'The front side content of the flashcard. '
                    example: Monday
        '400':
          description: >-
            A bad request error. Returned when the request body parameter is not
            in the expected JSON format.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    error: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'cardID': ''}
                properties:
                  error:
                    type: string
                    description: ' Describes the nature of the error and provides a possible solution.      '
                    example: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format: {'cardID': ' '}

````